Opened 2 years ago

Last modified 9 months ago

#56043 assigned defect

libemos @2.4.2 cannot install the port

Reported by: david-pino Owned by: tenomoto (Takeshi Enomoto)
Priority: Normal Milestone:
Component: ports Version: 2.4.2
Keywords: Cc: dstrubbe (David Strubbe), MarcusCalhoun-Lopez (Marcus Calhoun-Lopez), seanfarley (Sean Farley)
Port: libemos

Description (last modified by kencu (Ken))

Hi, Trying to install libemos needed for metview I obtain the following error:

--->  Computing dependencies for libemos
--->  Fetching distfiles for libemos
Error: Install port:fftw-3 +gcc7
Error: Failed to fetch libemos: port:fftw-3 +gcc7 not installed
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_science_libemos/libemos/main.log for details.
Error: Follow https://guide.macports.org/#project.tickets to report a bug.
Error: Processing of port libemos failed

I've correctly installed fftw-3 and gcc7

Can anyone help me on this error?

Thanks

David

Attachments (1)

main.log (503.0 KB) - added by david-pino 2 years ago.

Download all attachments as: .zip

Change History (10)

comment:1 Changed 2 years ago by kencu (Ken)

Thanks, David. That message to report a ticket should have also asked you to upload the main.log for us to look at.

If you still have everything as is, it is at:

/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_science_libemos/libemos/main.log

can you copy that file to your desktop, and then upload it to this ticket by using the Attachments button and section?

Thanks, Ken

comment:2 Changed 2 years ago by kencu (Ken)

Description: modified (diff)
Keywords: metview removed
Owner: set to tenomoto
Status: newassigned

Changed 2 years ago by david-pino

Attachment: main.log added

comment:3 Changed 2 years ago by kencu (Ken)

Thanks. A bit complicated, but my first thought is that fftw-3 also needs to be installed with the +gcc7 variant for this to work. Is it? The following will tell you.

port -v installed fftw-3

If not, then I'd try uninstalling fftw-3 and reinstalling with fftw-3 +gcc7 and then see if it all works.

sudo port clean libmeos
sudo port unintall fftw-3
sudo port -v install fftw-3 +gcc7
sudo port install libmeos

If that doesn't work, we'll need to wait for the maintainer or someone smarter to chime in.

comment:4 Changed 2 years ago by david-pino

Thanks!

I've tried

port -v installed fftw-3
giving
The following ports are currently installed:
  fftw-3 @3.3.5_0 platform='darwin 15' archs='x86_64' date='2017-02-09T11:04:00+0100'
  fftw-3 @3.3.5_1 (active) platform='darwin 15' archs='x86_64' date='2018-03-12T17:06:01+0100'

When trying

sudo port unintall fftw-3

the message is:

Note: It is not recommended to uninstall/deactivate a port that has dependents as it breaks the dependents.
The following ports will break:
 ImageMagick @6.9.7-7_0
 chromaprint @1.4.2_0
 fftw-3-single @3.3.5_0
 libsamplerate @0.1.9_0
 ImageMagick @6.9.8-3_1
 ImageMagick @6.9.9-26_0
 fftw-3-single @3.3.5_1
 py27-numpy @1.14.1_0
 cdo @1.9.3_1

Is there a problem if I continue uninstalling fftw-3?

Best regards

Last edited 9 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:5 Changed 2 years ago by kencu (Ken)

Those ports won't work until you reinstall some version of fftw-3, but nothing else bad would be expected to happen.

Another way to accomplish the same thing is like this:

sudo port -v upgrade --force --enforce-variants fftw-3 +gcc7

and you shouldn't see that warning that way, as it's replaced immediately.

Last edited 2 years ago by kencu (Ken) (previous) (diff)

comment:6 Changed 2 years ago by david-pino

Thanks a lot!

It worked

comment:7 Changed 2 years ago by kencu (Ken)

That's great. Now to figure out how to automate this so nobody else will have this issue...perhaps, as libemos has a default of +gcc7, we should set that up to require_activate_variants +gcc7 in fftw-3...

comment:8 Changed 2 years ago by david-pino

I don't know, I had only this issue when trying to install metview on a Macbookpro but not in an iMac. Here:

sudo port install magicspp +metview
sudo port install metview

install the port without any problem.

Last edited 9 months ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:9 in reply to:  7 Changed 9 months ago by ryandesign (Ryan Schmidt)

Cc: dstrubbe MarcusCalhoun-Lopez seanfarley added

Replying to david-pino:

Error: Install port:fftw-3 +gcc7
Error: Failed to fetch libemos: port:fftw-3 +gcc7 not installed

I've correctly installed fftw-3 and gcc7

What this message was trying to tell you is that you needed to install the fftw-3 port with the +gcc7 variant.

Replying to kencu:

Now to figure out how to automate this so nobody else will have this issue...perhaps, as libemos has a default of +gcc7, we should set that up to require_activate_variants +gcc7 in fftw-3...

The libemos port already uses similar capabilities provided by the compilers 1.0 portgroup. It is unfortunate that the compilers portgroup reimplemented this and uses a different format of message for communicating this with users, rather than just using the existing facilities of the active_variants 1.1 portgroup. Maybe the compilers 1.0 portgroup can be changed to do that, or at least reword its messages so that they are the same as those from the active_variants 1.1 portgroup.

Note: See TracTickets for help on using tickets.